View Issue Details

IDProjectCategoryView StatusLast Update
0000335VisualDifferGeneralpublic2021-01-15 12:30
ReporterbldobsonAssigned Toadmin 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformOSHigh SierraOS Version10.13.6
Product Version1.8.0 
Target Version1.8.1Fixed in Version1.8.1 
Summary0000335: New version crashing
DescriptionHi,
I've been using Visual Differ for quite a few years. It's great.
The last version I had was 2015 and I'm using on iMac running High Sierra 10.13.6

I now cannot get the programme to run. It loads but as soon as I click the COMPARE button it crashes. I have tried it 5 times all with different directories but it still crashes. I deleted and then reinstated it as I don't really want to pay another £4.99.
Steps To ReproduceClick Compare. It crashes every time.
TagsNo tags attached.

Activities

bldobson

2021-01-13 18:02

reporter  

admin

2021-01-14 06:47

administrator   ~0000630

Last edited: 2021-01-14 06:48

View 2 revisions

Please click on "Report" button then copy the text on this bug, this can help to understand where the error begins

Try to clean the installation manually or using some application like AppCleaner (https://freemacsoft.net/appcleaner/)

bldobson

2021-01-14 11:16

reporter   ~0000631

Process: VisualDiffer [6624]
Path: /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
Identifier: com.visualdiffer
Version: 1.8.0 (1.8.0)
App Item ID: 412386481
App External ID: 839849937
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: VisualDiffer [6624]
User ID: 501

Date/Time: 2021-01-14 10:15:14.178 +0000
OS Version: Mac OS X 10.13.6 (17G14042)
Report Version: 12
Anonymous UUID: 92AC84B5-BC5D-BD0B-118A-647CEE1F5CB8

Sleep/Wake UUID: D3D07DFB-D54D-4A22-82D0-1EC8F64D4784

Time Awake Since Boot: 55000 seconds
Time Since Wake: 3800 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_INSTRUCTION (SIGILL)
Exception Codes: 0x0000000000000001, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Illegal instruction: 4
Termination Reason: Namespace SIGNAL, Code 0x4
Terminating Process: exc handler [0]

Application Specific Information:
Crashing on exception: *** -[NSGradient initWithColors:atLocations:colorSpace:]: the color Catalog color: System windowBackgroundColor cannot be converted into color space Generic RGB colorspace

Application Specific Backtrace 1:
0 CoreFoundation 0x00007fff29f9dbbb __exceptionPreprocess + 171
1 libobjc.A.dylib 0x00007fff51253c76 objc_exception_throw + 48
2 CoreFoundation 0x00007fff2a02f6dd +[NSException raise:format:] + 205
3 AppKit 0x00007fff275a8d0b -[NSGradient initWithColors:atLocations:colorSpace:] + 539
4 AppKit 0x00007fff2783168f -[NSGradient initWithStartingColor:endingColor:] + 124
5 VisualDiffer 0x0000000103b0f13a VisualDiffer + 336186
6 AppKit 0x00007fff27d5cf29 _NSViewDrawRect + 83
7 AppKit 0x00007fff275f573c -[NSView _drawRect:clip:] + 1819
8 AppKit 0x00007fff2763db52 -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 1735
9 AppKit 0x00007fff2763e01f -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 2964
10 AppKit 0x00007fff2763e01f -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 2964
11 AppKit 0x00007fff275f3656 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 938
12 AppKit 0x00007fff275f2ddb -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 327
13 AppKit 0x00007fff27d5e4e0 -[NSView _oldDisplayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 2051
14 AppKit 0x00007fff275f1e5d -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 253
15 AppKit 0x00007fff275ee0b4 -[NSView displayIfNeeded] + 1581
16 AppKit 0x00007fff275eda52 -[NSWindow displayIfNeeded] + 321
17 AppKit 0x00007fff27d8e60d ___NSWindowGetDisplayCycleObserver_block_invoke.5902 + 308
18 AppKit 0x00007fff275ed55e __37+[NSDisplayCycle currentDisplayCycle]_block_invoke + 695
19 QuartzCore 0x00007fff352a5877 _ZN2CA11Transaction19run_commit_handlersE18CATransactionPhase + 49
20 QuartzCore 0x00007fff352a4339 _ZN2CA11Transaction6commitEv + 171
21 AppKit 0x00007fff27da5a72 __65+[CATransaction(NSCATransaction) NS_setFlushesWithDisplayRefresh]_block_invoke + 283
22 CoreFoundation 0x00007fff29f35097 __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
23 CoreFoundation 0x00007fff29f34fbf __CFRunLoopDoObservers + 527
24 CoreFoundation 0x00007fff29f17538 __CFRunLoopRun + 1240
25 CoreFoundation 0x00007fff29f16dd3 CFRunLoopRunSpecific + 483
26 HIToolbox 0x00007fff29201d96 RunCurrentEventLoopInMode + 286
27 HIToolbox 0x00007fff29201a0f ReceiveNextEventCommon + 366
28 HIToolbox 0x00007fff29201884 _BlockUntilNextEventMatchingListInModeWithFilter + 64
29 AppKit 0x00007fff274aea3b _DPSNextEvent + 2085
30 AppKit 0x00007fff27c44e34 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 3044
31 AppKit 0x00007fff274a384d -[NSApplication run] + 764
32 AppKit 0x00007fff27472a3a NSApplicationMain + 804
33 libdyld.dylib 0x00007fff51e71015 start + 1

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 com.apple.AppKit 0x00007fff277d9454 -[NSApplication _crashOnException:] + 109
1 com.apple.AppKit 0x00007fff27da5cb1 __65+[CATransaction(NSCATransaction) NS_setFlushesWithDisplayRefresh]_block_invoke + 858
2 com.apple.CoreFoundation 0x00007fff29f35097 __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
3 com.apple.CoreFoundation 0x00007fff29f34fbf __CFRunLoopDoObservers + 527
4 com.apple.CoreFoundation 0x00007fff29f17538 __CFRunLoopRun + 1240
5 com.apple.CoreFoundation 0x00007fff29f16dd3 CFRunLoopRunSpecific + 483
6 com.apple.HIToolbox 0x00007fff29201d96 RunCurrentEventLoopInMode + 286
7 com.apple.HIToolbox 0x00007fff29201a0f ReceiveNextEventCommon + 366
8 com.apple.HIToolbox 0x00007fff29201884 _BlockUntilNextEventMatchingListInModeWithFilter + 64
9 com.apple.AppKit 0x00007fff274aea3b _DPSNextEvent + 2085
10 com.apple.AppKit 0x00007fff27c44e34 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 3044
11 com.apple.AppKit 0x00007fff274a384d -[NSApplication run] + 764
12 com.apple.AppKit 0x00007fff27472a3a NSApplicationMain + 804
13 libdyld.dylib 0x00007fff51e71015 start + 1

Thread 1:: Dispatch queue: com.apple.root.user-interactive-qos
0 libsystem_kernel.dylib 0x00007fff51fb81fa mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff51fb7714 mach_msg + 60
2 com.apple.QuartzCore 0x00007fff352bc25b CA::Render::Fence::wait(unsigned int, unsigned long) + 169
3 com.apple.QuartzCore 0x00007fff352a4cc4 CA::Context::commit_transaction(CA::Transaction*) + 1330
4 com.apple.QuartzCore 0x00007fff352a4475 CA::Transaction::commit() + 487
5 com.apple.AppKit 0x00007fff275d3c20 NSPerformVisuallyAtomicChange + 166
6 com.apple.AppKit 0x00007fff275e087b __42-[NSAnimation(NSInternal) _runInNewThread]_block_invoke + 85
7 libdispatch.dylib 0x00007fff51e3f5fa _dispatch_call_block_and_release + 12
8 libdispatch.dylib 0x00007fff51e37db8 _dispatch_client_callout + 8
9 libdispatch.dylib 0x00007fff51e39b2c _dispatch_root_queue_drain + 902
10 libdispatch.dylib 0x00007fff51e39755 _dispatch_worker_thread3 + 101
11 libsystem_pthread.dylib 0x00007fff52189169 _pthread_wqthread + 1387
12 libsystem_pthread.dylib 0x00007fff52188be9 start_wqthread + 13

Thread 2:: Dispatch queue: com.apple.root.default-qos
0 libsystem_kernel.dylib 0x00007fff51fc215a __ulock_wait + 10
1 libdispatch.dylib 0x00007fff51e479ff _dispatch_ulock_wait + 40
2 libdispatch.dylib 0x00007fff51e47af0 _dispatch_thread_event_wait_slow + 26
3 libdispatch.dylib 0x00007fff51e4e1da _dispatch_sync_wait + 510
4 com.visualdiffer 0x0000000103adf27c 0x103abd000 + 139900
5 com.visualdiffer 0x0000000103b35647 0x103abd000 + 493127
6 com.visualdiffer 0x0000000103ad356a 0x103abd000 + 91498
7 libdispatch.dylib 0x00007fff51e3f5fa _dispatch_call_block_and_release + 12
8 libdispatch.dylib 0x00007fff51e37db8 _dispatch_client_callout + 8
9 libdispatch.dylib 0x00007fff51e44cc5 _dispatch_queue_override_invoke + 880
10 libdispatch.dylib 0x00007fff51e399a9 _dispatch_root_queue_drain + 515
11 libdispatch.dylib 0x00007fff51e39755 _dispatch_worker_thread3 + 101
12 libsystem_pthread.dylib 0x00007fff52189169 _pthread_wqthread + 1387
13 libsystem_pthread.dylib 0x00007fff52188be9 start_wqthread + 13

Thread 3:
0 libsystem_kernel.dylib 0x00007fff51fc228a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff5218920e _pthread_wqthread + 1552
2 libsystem_pthread.dylib 0x00007fff52188be9 start_wqthread + 13

Thread 4:
0 libsystem_kernel.dylib 0x00007fff51fc228a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff5218920e _pthread_wqthread + 1552
2 libsystem_pthread.dylib 0x00007fff52188be9 start_wqthread + 13

Thread 5:: com.apple.NSEventThread
0 libsystem_kernel.dylib 0x00007fff51fb81fa mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff51fb7714 mach_msg + 60
2 com.apple.CoreFoundation 0x00007fff29f18405 __CFRunLoopServiceMachPort + 341
3 com.apple.CoreFoundation 0x00007fff29f17757 __CFRunLoopRun + 1783
4 com.apple.CoreFoundation 0x00007fff29f16dd3 CFRunLoopRunSpecific + 483
5 com.apple.AppKit 0x00007fff275ebfc4 _NSEventThread + 184
6 libsystem_pthread.dylib 0x00007fff52189661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff5218950d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff52188bf9 thread_start + 13

Thread 6:
0 libsystem_kernel.dylib 0x00007fff51fc228a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff5218920e _pthread_wqthread + 1552
2 libsystem_pthread.dylib 0x00007fff52188be9 start_wqthread + 13

Thread 7:
0 libsystem_pthread.dylib 0x00007fff52188bdc start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x00007fdaa297ae00 rbx: 0x0000600000444500 rcx: 0x0000000000000000 rdx: 0x0000000000000e62
  rdi: 0x0000000008000101 rsi: 0x00007fdaa298be61 rbp: 0x00007ffeec141360 rsp: 0x00007ffeec141350
   r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x00007ffeec140e58 r11: 0xfffffffffffefdff
  r12: 0x00006040001384c0 r13: 0x00007fdaa3011048 r14: 0x00007fff51245e80 r15: 0x00007fff29f35350
  rip: 0x00007fff277d9454 rfl: 0x0000000000010202 cr2: 0x0000600000111000
  
Logical CPU: 0
Error Code: 0x00000000
Trap Number: 6


Binary Images:
       0x103abd000 - 0x103b60ff7 +com.visualdiffer (1.8.0 - 1.8.0) <D70E2636-50EF-3B77-9164-AD4E608A1A5C> /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
       0x107877000 - 0x1079aeff7 com.apple.AMDMTLBronzeDriver (1.68.25 - 1.6.8) <312A79BE-F2D3-3EBC-853B-4140BE2183C9> /System/Library/Extensions/AMDMTLBronzeDriver.bundle/Contents/MacOS/AMDMTLBronzeDriver
       0x10f2a3000 - 0x10f2edadf dyld (551.5) <CB9BFB56-4511-36F1-A546-891FF770C01C> /usr/lib/dyld
    0x7fff22445000 - 0x7fff22793ff7 com.apple.RawCamera.bundle (8.05.0 - 1017.4.1) <937CBA8D-60C8-3739-8DFF-1C737D6339EF> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff26067000 - 0x7fff26247ff3 com.apple.avfoundation (2.0 - 1536.36) <AB868021-AB26-3198-897D-087EF3B360EA> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fff26248000 - 0x7fff26301fff com.apple.audio.AVFAudio (1.0 - ???) <716306C4-A0EA-3D81-8F33-943153538C47> /System/Library/Frameworks/AVFoundation.framework/Versions/A/Frameworks/AVFAudio.framework/Versions/A/AVFAudio
    0x7fff26407000 - 0x7fff26407fff com.apple.Accelerate (1.11 - Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff26408000 - 0x7fff2641efef libCGInterfaces.dylib (417.2) <46DFCDA4-0470-3CDB-9875-0375D35FB9A3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff2641f000 - 0x7fff2691dfc3 com.apple.vImage (8.1 - ???) <A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff2691e000 - 0x7fff26a78fe3 libBLAS.dylib (1211.50.2) <62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff26a79000 - 0x7fff26aa7fef libBNNS.dylib (38.1) <7BAEFDCA-3227-3E07-80D8-59B6370B89C6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff26aa8000 - 0x7fff26e67ff7 libLAPACK.dylib (1211.50.2) <40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff26e68000 - 0x7fff26e7dff7 libLinearAlgebra.dylib (1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff26e7e000 - 0x7fff26e83ff3 libQuadrature.dylib (3) <E936BDAF-8492-34D9-8C5C-AFBFCDAD8318> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff26e84000 - 0x7fff26f04fff libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff26f05000 - 0x7fff26f18fff libSparseBLAS.dylib (1211.50.2) <722573CC-31CC-34B2-9032-E4F652A9CCFE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff26f19000 - 0x7fff270c6fc3 libvDSP.dylib (622.50.5) <40690941-CF89-3F90-A0AC-A4D200744A5D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff270c7000 - 0x7fff27178fff libvMisc.dylib (622.50.5) <BA2532DF-2D68-3DD0-9B59-D434BF702AA4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff27179000 - 0x7fff27179fff com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff2746d000 - 0x7fff282cbfff com.apple.AppKit (6.9 - 1561.61.100) <4E6EA3FA-8C2C-3B21-BFF9-6F8C458B7BE1> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff2831d000 - 0x7fff2831dfff com.apple.ApplicationServices (48 - 50) <2B5B76E7-0AB2-31F9-BE58-B963BF1EC2E8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff2831e000 - 0x7fff28384fff com.apple.ApplicationServices.ATS (377 - 445.5) <60176327-F757-308E-B61A-D43394E87CC5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff2841d000 - 0x7fff2853fff7 libFontParser.dylib (222.1.9) <FFF2AC1A-D4D2-3AD3-BFF2-F3649ECB02AC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff28540000 - 0x7fff2858bff7 libFontRegistry.dylib (221.6) <30C6D1DE-C0E3-3447-A0EF-829443D95F0E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff28630000 - 0x7fff28663ff7 libTrueTypeScaler.dylib (222.1.9) <BF00CE2B-6BC5-3337-8350-A1BAB88A3CE0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff286cd000 - 0x7fff286d1ff3 com.apple.ColorSyncLegacy (4.13.0 - 1) <04764FB2-22D8-36F0-9647-2D21562E28D5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff28771000 - 0x7fff287c3ffb com.apple.HIServices (1.22 - 625) <3C059A55-1409-373E-BF0B-C3299AFABDCF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff287c4000 - 0x7fff287d2fff com.apple.LangAnalysis (1.7.0 - 1.7.0) <8BB267F4-D5AA-3D35-8269-1A3CEA054ACD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff287d3000 - 0x7fff2881ffff com.apple.print.framework.PrintCore (13.4 - 503.2) <2EA98448-9D6A-3912-9933-F7703CB01B6E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff28820000 - 0x7fff2885afff com.apple.QD (3.12 - 404.2) <525E9518-DFF3-3D8D-BD48-E0D63EEDBD16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff2885b000 - 0x7fff28867fff com.apple.speech.synthesis.framework (7.8.1 - 7.8.1) <CD09019C-569B-3A56-B84C-26F2A6223455> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff28868000 - 0x7fff28af6ff7 com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <C7BE1645-BE23-3427-8650-1CEFDAF86710> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff28af8000 - 0x7fff28af8fff com.apple.audio.units.AudioUnit (1.14 - 1.14) <294802B9-E24D-34EB-973F-6D2B8E2E86CB> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff28e1b000 - 0x7fff291b8fff com.apple.CFNetwork (902.6 - 902.6) <46168F79-CCFA-349A-8508-B8CBCE27D440> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff291cd000 - 0x7fff291cdfff com.apple.Carbon (158 - 158) <F8B370D9-2103-3276-821D-ACC756167F86> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff291ce000 - 0x7fff291d1ffb com.apple.CommonPanels (1.2.6 - 98) <075486A5-8E39-3F72-BED7-752517379C55> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff291d2000 - 0x7fff294d7fff com.apple.HIToolbox (2.1.1 - 911.10) <8D2EBE85-9AF0-38BC-ACD3-1ED978643907> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff294d8000 - 0x7fff294dbffb com.apple.help (1.3.8 - 66) <7F210C1C-D7D3-3C97-A2E4-D3CC35F91807> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff294dc000 - 0x7fff294e1fff com.apple.ImageCapture (9.0 - 9.0) <3993E094-AB86-3B22-BC18-4550F23854FF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff294e2000 - 0x7fff29577ffb com.apple.ink.framework (10.9 - 221) <83976BB8-A423-3AA5-8221-6EB04B3DEF0A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff29578000 - 0x7fff29592ff7 com.apple.openscripting (1.7 - 174) <C282DFBB-4BF2-3222-87E0-0B560D5B4B2F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff295b3000 - 0x7fff295b4fff com.apple.print.framework.Print (12 - 267) <DFC4CE94-F6E6-3DFA-AB88-A13E4C5A7701> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff295b5000 - 0x7fff295b7ff7 com.apple.securityhi (9.0 - 55006) <1AB48F32-D1CB-3657-A30C-40A7E718A71D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff295b8000 - 0x7fff295befff com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2A07BB54-438B-34C9-8061-45403E197ACA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff296df000 - 0x7fff296dffff com.apple.Cocoa (6.11 - 22) <3269BC26-0217-39FE-A600-D702656D838B> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff296ed000 - 0x7fff297a6fff com.apple.ColorSync (4.13.0 - 3325) <EAD2D314-E810-33FB-B105-BD30ABB912AD> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff29933000 - 0x7fff299c6ff7 com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <AF2B41CC-DD7A-34EB-A842-00DC3B8F2E9F> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff29a2d000 - 0x7fff29a56ffb com.apple.CoreBluetooth (1.0 - 1) <ED48840B-A80A-32C1-8E4B-DEB7A7CD3C1A> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff29a57000 - 0x7fff29dadfef com.apple.CoreData (120 - 851) <7361F2EA-2B7F-3259-909F-287BEB443781> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff29dae000 - 0x7fff29e91fff com.apple.CoreDisplay (99.14 - 99.14) <9B2B211D-EC0A-3569-BB37-887768CD6105> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff29e92000 - 0x7fff2a335fe7 com.apple.CoreFoundation (6.9 - 1455.300) <CB44B892-64CD-3E32-A518-6D40B1A7033F> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff2a337000 - 0x7fff2a947fef com.apple.CoreGraphics (2.0 - 1161.21.5) <6451A561-3A83-37FB-AAA7-3FCE6D95C34C> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff2a949000 - 0x7fff2ac38fff com.apple.CoreImage (13.0.0 - 579.5) <B2B60A80-2E10-3EDF-920C-94288E55AE25> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff2aec7000 - 0x7fff2afbdffb com.apple.CoreMedia (1.0 - 2276.80.4) <67942D16-3658-37FC-B61C-8ED3D4BFBFB9> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff2afbe000 - 0x7fff2b00cfff com.apple.CoreMediaIO (814.0 - 4995) <2A174DD1-431A-3313-9837-04C7E1B284B6> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff2b00d000 - 0x7fff2b00dfff com.apple.CoreServices (822.37 - 822.37) <CE816EF2-2B89-3F54-A5C6-D3080B1EFB00> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff2b00e000 - 0x7fff2b082ffb com.apple.AE (735.2 - 735.2) <0938A72B-6A4A-36F1-95B3-5EF6B915CEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff2b083000 - 0x7fff2b35afff com.apple.CoreServices.CarbonCore (1178.4.2 - 1178.4.2) <4692EE3A-11FE-31FD-AF5B-30F892E87A05> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff2b35b000 - 0x7fff2b38ffff com.apple.DictionaryServices (1.2 - 284.2) <F1F3EFAE-2562-394D-8FB3-BE22F16CD75A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff2b390000 - 0x7fff2b398ffb com.apple.CoreServices.FSEvents (1239.50.2 - 1239.50.2) <FE465894-4235-3CE2-9A97-32D6C6C7D9AD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff2b399000 - 0x7fff2b557ff7 com.apple.LaunchServices (822.37 - 822.37) <0DB4679F-AE39-3BF3-B39B-549322E355AF> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff2b558000 - 0x7fff2b608fff com.apple.Metadata (10.7.0 - 1191.8) <F3BD3FD7-208A-31E9-85CD-6E607DDAFEF0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff2b609000 - 0x7fff2b669fff com.apple.CoreServices.OSServices (822.37 - 822.37) <564DDE70-0250-346B-B5CC-4AFAC11A7373> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff2b66a000 - 0x7fff2b6d8fff com.apple.SearchKit (1.4.0 - 1.4.0) <97DD9E7D-3567-382B-ACF7-CE0E4FE78D36> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff2b6d9000 - 0x7fff2b6fdffb com.apple.coreservices.SharedFileList (71.21 - 71.21) <88991F51-0A75-34FF-8C91-ED0F3C270B7B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff2b99e000 - 0x7fff2baeefff com.apple.CoreText (352.0 - 578.23) <10DAF601-85A8-3F9C-8B0B-69DC16B95E47> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff2baef000 - 0x7fff2bb29fff com.apple.CoreVideo (1.8 - 0.0) <0DD4FFDF-E1F1-39D1-8246-5D0D9869F1EA> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff2bb2a000 - 0x7fff2bbb5ff3 com.apple.framework.CoreWLAN (13.0 - 1350.2) <EC145FBD-F638-38B8-BE94-F892A2F02550> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff2be30000 - 0x7fff2be35fff com.apple.DiskArbitration (2.7 - 2.7) <51DC4AED-6F0C-321F-93E3-20EA4341B768> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff2bff6000 - 0x7fff2c3bdffb com.apple.Foundation (6.9 - 1455.300) <0479E072-1DD0-3881-A9A2-EDAD3EE58C23> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff2c42e000 - 0x7fff2c45eff3 com.apple.GSS (4.0 - 2.0) <7E83A21E-4F90-38F3-9FD3-FAC0E0143243> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff2c570000 - 0x7fff2c674ffb com.apple.Bluetooth (6.0.7 - 6.0.7f22) <08E33A6B-16A7-3E4E-82C9-E1E5A84300D0> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff2c6d4000 - 0x7fff2c76ffff com.apple.framework.IOKit (2.0.2 - 1445.71.6) <4B5C715C-6A49-366B-9080-ABADE6A3B3BD> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff2c771000 - 0x7fff2c778fff com.apple.IOSurface (211.15 - 211.15) <08DA3232-805F-304B-80DD-C86B49CC4AAD> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff2c779000 - 0x7fff2c7ceff3 com.apple.ImageCaptureCore (7.0 - 7.0) <5B5C36EE-69EE-39E8-8B5B-360EF3F4AC3A> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff2c7cf000 - 0x7fff2c94afe7 com.apple.ImageIO.framework (3.3.0 - 1739.3.8) <58BD6865-E629-3283-859B-82C4C3A5FF66> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff2c94b000 - 0x7fff2c94fffb libGIF.dylib (1739.3.8) <E3446976-10BF-3B75-9A11-32893368D748> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff2c950000 - 0x7fff2ca37fe7 libJP2.dylib (1739.3.8) <4B440B09-1542-304C-8BE5-EB0F9370046C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff2ca38000 - 0x7fff2ca5bff7 libJPEG.dylib (1739.3.8) <F6BCF3DA-6F0B-35A8-982C-BEFD2DD6DBFE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff2cd4a000 - 0x7fff2cd70feb libPng.dylib (1739.3.8) <25C5D4B1-3715-3DF5-BE4B-C71089ADBBFE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff2cd71000 - 0x7fff2cd73ffb libRadiance.dylib (1739.3.8) <5134034F-A7BC-3749-A141-92BC89579AF6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff2cd74000 - 0x7fff2cdc2fe7 libTIFF.dylib (1739.3.8) <91F6CDBD-C4A0-3614-81DC-B9A9E3838CF0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff2cf7e000 - 0x7fff2dc64fff com.apple.JavaScriptCore (13605 - 13605.3.8) <FCD40D3C-87D5-3738-A19F-F5DB84A643B7> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff2dc7c000 - 0x7fff2dc95ff7 com.apple.Kerberos (3.0 - 1) <C7CDC1E0-011B-3220-847D-1AC3DA6D5522> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff2df54000 - 0x7fff2df5bfff com.apple.MediaAccessibility (1.0 - 114) <00F21329-1163-3283-A882-A5DD7A12D353> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fff2e00b000 - 0x7fff2e675ff7 com.apple.MediaToolbox (1.0 - 2276.80.4) <FA444376-E5AF-36AB-BE1D-76ECE4D72049> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff2e677000 - 0x7fff2e6f8fff com.apple.Metal (125.30 - 125.30) <67EDA241-80B1-3C67-BB2B-FF83E49FEF8D> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff2e715000 - 0x7fff2e730fff com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <8DED0F0C-4A10-36A3-A3E2-7D3CF429ACE1> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff2e731000 - 0x7fff2e7a0fef com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <48F4A97F-143A-3918-AB92-6733E258E25A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff2e7a1000 - 0x7fff2e7c5fff com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <CD443ADC-07FE-3603-B0C9-60C2AF3616FF> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff2e7c6000 - 0x7fff2e8adff7 com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <40EB0BAE-6DDE-3334-A28C-529AE4C6716A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff2e8ae000 - 0x7fff2e8aeff7 com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <A111E862-43E5-3247-9E98-0A40DC34AD9B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff2f8ad000 - 0x7fff2f8b9ffb com.apple.NetFS (6.0 - 4.0) <02E09301-324F-3542-875D-B87B144635C8> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff326ab000 - 0x7fff32705ff7 com.apple.opencl (2.8.24 - 2.8.24) <429B5283-276D-372D-BB0E-EEBE1408C393> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff32706000 - 0x7fff32722ffb com.apple.CFOpenDirectory (10.13 - 207.50.1) <E9AD4934-5DE3-3DD0-9D7B-9D288D829F15> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff32723000 - 0x7fff3272efff com.apple.OpenDirectory (10.13 - 207.50.1) <8B54C486-14C9-3FEF-97B8-F4D6F59F75CF> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff338ad000 - 0x7fff338affff libCVMSPluginSupport.dylib (16.7.4) <3E26CF2B-5074-3321-AD9E-6A667D61AA35> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff338b0000 - 0x7fff338b5ffb libCoreFSCache.dylib (162.12) <D12E1D0E-C0E5-329E-99B4-AB152C9ABBE3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff338b6000 - 0x7fff338bafff libCoreVMClient.dylib (162.12) <39951906-8566-3F9D-9EA8-EBD6084DCF73> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff338bb000 - 0x7fff338c4ff3 libGFXShared.dylib (16.7.4) <81A7875B-103D-3C82-B25C-DE24E57E5C8B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff338c5000 - 0x7fff338d0fff libGL.dylib (16.7.4) <2BB333D3-5C61-33DF-8545-06DF2D08B83D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff338d1000 - 0x7fff3390cfe7 libGLImage.dylib (16.7.4) <4DA003CE-0B74-3FE4-808C-B2FBCE517EB4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff33a7b000 - 0x7fff33ab9ffb libGLU.dylib (16.7.4) <BCB09CD8-EB0E-38FA-8B5A-9E29532EE364> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff34431000 - 0x7fff34440ff3 com.apple.opengl (16.7.4 - 16.7.4) <77A788F3-8F0C-305C-AEB9-FF258676C599> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff347bf000 - 0x7fff3490bff7 com.apple.QTKit (7.7.3 - 3014.8) <F333568C-D990-3BBA-A09B-ABAB5F984905> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff3490c000 - 0x7fff34b71ff7 com.apple.imageKit (3.0 - 1043) <1E72C513-391D-37CE-96D1-D2B59E2F23CA> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff34b72000 - 0x7fff34c61ff3 com.apple.PDFKit (1.0 - 677.68) <07888D80-F4FD-38AD-8F21-48F59E486886> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff34c62000 - 0x7fff35174ff7 com.apple.QuartzComposer (5.1 - 364) <0C9739CE-DCEA-3732-B3F4-EFB74464C9BC> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff35175000 - 0x7fff35198fff com.apple.quartzfilters (1.10.0 - 1.10.0) <F536C492-49CC-37B6-B740-DA266955E147> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff35199000 - 0x7fff35292ff7 com.apple.QuickLookUIFramework (5.0 - 743.13) <E56CBAA3-60CE-3E0C-B3DE-D21DBF93A785> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff35293000 - 0x7fff35293fff com.apple.quartzframework (1.5 - 21) <DCEB0FCC-2C32-3D02-8752-7B6FA009AB85> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff35294000 - 0x7fff354e0ff7 com.apple.QuartzCore (1.11 - 584.64.2) <FD9A3180-479E-3DAC-9CF0-0D214C7E46A7> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff354e1000 - 0x7fff35538ff7 com.apple.QuickLookFramework (5.0 - 743.13) <4EA17C20-5BD9-335F-8EE1-D4AE16BE6A15> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff356fe000 - 0x7fff35718ffb com.apple.SafariServices.framework (13609 - 13609.3.5.1.5) <8102DF3E-2C36-3B47-B10E-B990DABCF95D> /System/Library/Frameworks/SafariServices.framework/Versions/A/SafariServices
    0x7fff35d18000 - 0x7fff36043fff com.apple.security (7.0 - 58286.70.19) <E118FC23-2E20-3999-826B-58488049A277> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff36044000 - 0x7fff360d0ff7 com.apple.securityfoundation (6.0 - 55185.50.5) <3D9AD4EF-439C-3AE1-9332-AD291CF96C64> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff36102000 - 0x7fff36106ffb com.apple.xpc.ServiceManagement (1.0 - 1) <3FCAF325-40C8-3148-9E49-E555F95B2946> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff364ab000 - 0x7fff3651bff3 com.apple.SystemConfiguration (1.17 - 1.17) <41D509AB-AED3-30FF-BB00-615BB5A8AC00> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff366d0000 - 0x7fff36a4bfff com.apple.VideoToolbox (1.0 - 2276.80.4) <1C94A509-0372-3B58-94BC-4488C042BD79> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff39418000 - 0x7fff394abff3 com.apple.APFS (1.0 - 1) <70034B32-9347-30FB-9DDE-95061F686613> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff3a0d8000 - 0x7fff3a100fff com.apple.framework.Apple80211 (13.0 - 1370.4) <C296CDDB-0A79-3D6B-898A-0FBA1892F5AC> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff3a102000 - 0x7fff3a111fef com.apple.AppleFSCompression (96.60.1 - 1.0) <CBE1A092-CE90-36B9-AAA6-0BE2E7921504> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff3a210000 - 0x7fff3a21bff7 com.apple.AppleIDAuthSupport (1.0 - 1) <924EA55F-1C87-347F-9212-F79EA2B2C84C> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
    0x7fff3a255000 - 0x7fff3a29dff3 com.apple.AppleJPEG (1.0 - 1) <15558577-08E3-3087-86A9-8B6247978BCE> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff3a2d8000 - 0x7fff3a300fff com.apple.applesauce (1.0 - ???) <9CE4CAE2-30B9-3DF6-9BC0-33D532D7B937> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff3a3c9000 - 0x7fff3a3ccfff com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <62DC46E4-5D00-3EAF-94C8-0F45592F90D6> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff3a3cd000 - 0x7fff3a41dff7 com.apple.AppleVAFramework (5.0.41 - 5.0.41) <C82921AA-1537-3736-BC16-5CABB3EF0100> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff3a753000 - 0x7fff3a9ecffb com.apple.AuthKit (1.0 - 1) <C3087797-E472-300E-8B4A-448857ACE8E7> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
    0x7fff3ab23000 - 0x7fff3ab2aff7 com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <B2A1EEDF-490A-38E2-A896-41057C0417BF> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff3ab2b000 - 0x7fff3abb2ff7 com.apple.backup.framework (1.9.6 - 1.9.6) <0A54D219-E71B-3BC6-8DFC-11ED47E431BE> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff3abbb000 - 0x7fff3abc1ff7 com.apple.BezelServicesFW (305.1 - 305.1) <30FB8483-B8E4-3DA8-912F-6DF76D4CE2F6> /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
    0x7fff3b996000 - 0x7fff3b9e5ff3 com.apple.ChunkingLibrary (189 - 189) <B3E4AA69-99C8-342F-B37E-C1921C72DBD2> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff3b9ec000 - 0x7fff3ba7dff7 com.apple.CloudDocs (1.0 - 575.14) <CD0E9512-7DF8-3028-9DB3-9ADA04887CD0> /System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fff3c56e000 - 0x7fff3c577ff3 com.apple.CommonAuth (4.0 - 2.0) <21AF4AC2-E650-35F9-AB33-3EBA2769FBC0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff3c8b3000 - 0x7fff3ccbbfff com.apple.CoreAUC (259.0.0 - 259.0.0) <EF95ED0E-F4F1-3969-89BB-CE8CDD74C29F> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff3ccbc000 - 0x7fff3ccecff7 com.apple.CoreAVCHD (5.9.0 - 5900.4.1) <6AC79B1F-0A12-34A4-BC0D-5A6A65ABABE0> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff3cd83000 - 0x7fff3cdd5ff7 com.apple.corebrightness (1.0 - 1) <60643D9E-25C6-3A48-867E-9444B2181669> /System/Library/PrivateFrameworks/CoreBrightness.framework/Versions/A/CoreBrightness
    0x7fff3d08b000 - 0x7fff3d09bff7 com.apple.CoreEmoji (1.0 - 69.3) <DCCF04BB-DA33-3DC0-B7C2-1D34870C0C0A> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff3d39f000 - 0x7fff3d3b5ff7 com.apple.CoreMediaAuthoring (2.2 - 956) <EE44B61D-6742-3649-A52F-C6AA0431F846> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff3d4fe000 - 0x7fff3d55bff7 com.apple.CoreNLP (1.0 - 130.5.4) <6FB50324-9C41-37A9-967D-CD20DD7B068A> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff3d6ea000 - 0x7fff3d78ffff com.apple.CorePDF (4.0 - 414) <320B28D5-5115-3C4B-9AEC-6114305DFACA> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff3d82f000 - 0x7fff3d837ff3 com.apple.CorePhoneNumbers (1.0 - 1) <3B388768-5CDB-341A-BCE2-4047EAD009EA> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
    0x7fff3d9c2000 - 0x7fff3d9f3ff3 com.apple.CoreServicesInternal (309.1 - 309.1) <9A9DE5A0-3912-3311-A351-2B7B5C35D1F0> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff3dd6d000 - 0x7fff3ddfefff com.apple.CoreSymbolication (9.3 - 64026.2) <30652FA5-C731-3A22-864D-DF6D9C77CD4C> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff3de81000 - 0x7fff3dfb6fff com.apple.coreui (2.1 - 494.1) <5B4F3E9C-A4EF-3908-A035-59B8631C3685> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff3dfb7000 - 0x7fff3e0e8fff com.apple.CoreUtils (5.6 - 560.11) <2C5A0610-1F08-3603-8692-EE03E62EE622> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff3e13d000 - 0x7fff3e1a1fff com.apple.framework.CoreWiFi (13.0 - 1350.2) <500CC54F-A6CB-3D36-9BB1-C9C9F6A6E414> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff3e1a2000 - 0x7fff3e1b2ff7 com.apple.CrashReporterSupport (10.13 - 1) <1ADEC140-4838-3976-A14B-6268C5251481> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff3e231000 - 0x7fff3e240ff7 com.apple.framework.DFRFoundation (1.0 - 191.7) <F7AB1B29-A4B0-3938-AFDC-DAA204929404> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff3e243000 - 0x7fff3e247ffb com.apple.DSExternalDisplay (3.1 - 380) <13AA3B17-E649-3B7B-B09D-9AE7C4A60887> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff3e2c9000 - 0x7fff3e33ffff com.apple.datadetectorscore (7.0 - 590.3) <E645FBF0-B47D-3394-84DF-792B85E94CB3> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff3e38d000 - 0x7fff3e3cdff7 com.apple.DebugSymbols (181.0 - 181.0) <702DB951-F5A6-3155-9D84-BBA9A4B4E1BD> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff3e3ce000 - 0x7fff3e4fdfff com.apple.desktopservices (1.12.5 - 1.12.5) <96BB57E2-3359-3920-AA7C-BF03C2225485> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff3e7cb000 - 0x7fff3e7cfff7 com.apple.DisplayServicesFW (3.1 - 380) <921A2830-1A66-396E-A689-CD85B4B8F82C> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff3f312000 - 0x7fff3f740fff com.apple.vision.FaceCore (3.3.2 - 3.3.2) <06065DA3-4091-3682-A308-BF3F2E3E4AF8> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff3f773000 - 0x7fff3f7fcff3 com.apple.FileProvider (125.15 - 125.15) <89C9975D-83FA-3E6E-A662-276D6030570F> /System/Library/PrivateFrameworks/FileProvider.framework/Versions/A/FileProvider
    0x7fff4139c000 - 0x7fff4139cfff libmetal_timestamp.dylib (802.4.8) <7E1B5ECC-7504-3B86-B3D9-5D8CDF88FCFA> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib
    0x7fff42a08000 - 0x7fff42a0dfff com.apple.GPUWrangler (3.20.18 - 3.20.18) <B54A9063-01EC-3D2C-8924-86A1F315DEA2> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff42dc1000 - 0x7fff42de6ff3 com.apple.GenerationalStorage (2.0 - 285.3) <0C898B63-E9A3-3D93-BB3D-CD54BFE51DED> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff43783000 - 0x7fff43792fff com.apple.GraphVisualizer (1.0 - 5) <EB42FFAD-2BCA-3DE2-B40E-AFDE6E7FAA4D> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff43815000 - 0x7fff43889fff com.apple.Heimdal (4.0 - 2.0) <FF7BC1AE-1BA6-3150-A7CC-B9E0AD5EBE7F> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff44192000 - 0x7fff4419bfff com.apple.IOAccelMemoryInfo (1.0 - 1) <DA90A47E-5759-3AF0-AB3D-7499F1457464> /System/Library/PrivateFrameworks/IOAccelMemoryInfo.framework/Versions/A/IOAccelMemoryInfo
    0x7fff4419c000 - 0x7fff441a3ff7 com.apple.IOAccelerator (378.28 - 378.28) <F109E4CB-49D9-37FB-974A-8A3E9E8A61DA> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff441a7000 - 0x7fff441befff com.apple.IOPresentment (1.0 - 35.1) <AC89202B-8433-3B62-A7BE-467D1905F6FB> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff44589000 - 0x7fff445afffb com.apple.IconServices (97.6 - 97.6) <7913A453-8D29-31DC-ADDB-7CEC068C9B86> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff446bc000 - 0x7fff446bfff3 com.apple.InternationalSupport (1.0 - 1) <D020C355-DCC1-3D7E-8FCE-BD6FF441824D> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
    0x7fff4472d000 - 0x7fff4473dffb com.apple.IntlPreferences (2.0 - 227.5.2) <E036B12B-6017-3EF6-9E73-71DCE8036608> /System/Library/PrivateFrameworks/IntlPreferences.framework/Versions/A/IntlPreferences
    0x7fff44834000 - 0x7fff44847ff3 com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <B999BEF6-F3E7-30EE-9177-FBC8E826659D> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
    0x7fff44848000 - 0x7fff4493dff7 com.apple.LanguageModeling (1.0 - 159.5.3) <FAA236D6-CFB8-37D2-B635-B324E0719E32> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff4493e000 - 0x7fff44980fff com.apple.Lexicon-framework (1.0 - 33.5) <F8DD2D09-5CEE-3741-93CF-223FC61FCCA4> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff44984000 - 0x7fff4498bff7 com.apple.LinguisticData (1.0 - 238.3) <6F2ED02A-2120-3ABA-8EC1-314E4FFE77F3> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff4518c000 - 0x7fff4518ffff com.apple.Mangrove (1.0 - 1) <471F4581-5235-3381-B16B-CE92ED6CF086> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff4569f000 - 0x7fff45708ff7 com.apple.gpusw.MetalTools (1.0 - 1) <F2A47319-0430-3BB5-943E-651A40C127A9> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff45711000 - 0x7fff45728ff7 com.apple.MobileAssets (1.0 - 437.60.1) <94912D67-E290-3205-B919-C70C0A8D7FCF> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
    0x7fff45898000 - 0x7fff458b1fff com.apple.MobileKeyBag (2.0 - 1.0) <9EA31672-3B83-3ABF-B2D5-8584E159051E> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fff4593d000 - 0x7fff45967ffb com.apple.MultitouchSupport.framework (1614.1 - 1614.1) <A376F2FB-64AE-3B35-88B0-7D2BB4D1CB7C> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff45bce000 - 0x7fff45bd9fff com.apple.NetAuth (6.2 - 6.2) <85C5D94D-C67E-36DC-B0EA-02F53AC4FCD3> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff47475000 - 0x7fff47485ffb com.apple.PerformanceAnalysis (1.194 - 194) <B6934994-BD69-36F9-914E-6BBDCD797612> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff49244000 - 0x7fff49262fff com.apple.ProtocolBuffer (1 - 260) <195906B1-1DB1-3AD2-B2F7-87B867C27F40> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff493cf000 - 0x7fff493e5ff7 com.apple.QuickLookThumbnailing (1.0 - 1) <043881FB-D325-3145-99B9-B9307AF99365> /System/Library/PrivateFrameworks/QuickLookThumbnailing.framework/Versions/A/QuickLookThumbnailing
    0x7fff4942c000 - 0x7fff49438fff com.apple.xpc.RemoteServiceDiscovery (1.0 - 1205.70.16) <AEAA88C6-CBB6-3598-9548-E4DF155B4A64> /System/Library/PrivateFrameworks/RemoteServiceDiscovery.framework/Versions/A/RemoteServiceDiscovery
    0x7fff49439000 - 0x7fff4945cffb com.apple.RemoteViewServices (2.0 - 125) <695CBF89-C15C-3E4C-8045-B46DCA64E3FB> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff4945d000 - 0x7fff49472ff3 com.apple.xpc.RemoteXPC (1.0 - 1205.70.16) <DD597F26-6BBE-3DAD-9257-7A5FCD60C109> /System/Library/PrivateFrameworks/RemoteXPC.framework/Versions/A/RemoteXPC
    0x7fff4ad82000 - 0x7fff4ae97ff7 com.apple.Sharing (1050.22.9 - 1050.22.9) <CAB71093-B187-363E-BBAA-B0D23D7642AA> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff4aec2000 - 0x7fff4aec3ff7 com.apple.performance.SignpostNotification (1.2.6 - 2.6) <E77879A4-B040-3BE0-86F5-98173A4100AD> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification
    0x7fff4bc21000 - 0x7fff4bebefff com.apple.SkyLight (1.600.0 - 312.103.12) <A65B547C-B7CA-3E33-A0C5-58AB436A8467> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff4c687000 - 0x7fff4c694fff com.apple.SpeechRecognitionCore (4.6.1 - 4.6.1) <90CDCEAD-5A65-3C35-9370-2B306895E97C> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff4c746000 - 0x7fff4c984ff3 com.apple.spotlight.index (10.7.0 - 1191.8) <E270F050-B6B4-3378-AC2B-A1FE7D6BAE95> /System/Library/PrivateFrameworks/SpotlightIndex.framework/Versions/A/SpotlightIndex
    0x7fff4cb41000 - 0x7fff4cb68fff com.apple.StreamingZip (1.0 - 1) <B5C3D9D6-B1DC-33E5-B7D2-ADAF3E0CA30E> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
    0x7fff4d23a000 - 0x7fff4d2c3fc7 com.apple.Symbolication (9.3 - 64033) <F576D527-4CB1-34A5-B15E-1130833EEDAB> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff4d2d4000 - 0x7fff4d2dcffb com.apple.SymptomDiagnosticReporter (1.0 - 820.60.3) <F17BD2C2-43B1-32AD-B264-5B9405F60776> /System/Library/PrivateFrameworks/SymptomDiagnosticReporter.framework/Versions/A/SymptomDiagnosticReporter
    0x7fff4d834000 - 0x7fff4d83cff7 com.apple.TCC (1.0 - 1) <9D5466C6-A8B6-3C24-A791-6506B81D9998> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff4da49000 - 0x7fff4db06ff7 com.apple.TextureIO (3.7 - 3.7) <32C460CD-E93D-3FA5-A4AE-CA648722F5FE> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff4dbb7000 - 0x7fff4dd67fff com.apple.UIFoundation (1.0 - 547.9) <D0994333-5EB4-3415-8D18-2A0487AE91E0> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff4ea3c000 - 0x7fff4eb0bff7 com.apple.ViewBridge (343.2 - 343.2) <0A295791-B763-3E58-A9DD-8E4F40E815C9> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fff4f4e3000 - 0x7fff4f4e5ffb com.apple.loginsupport (1.0 - 1) <E273A65A-6379-3787-B119-BC6ED94D4A81> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff4f64c000 - 0x7fff4f67fff7 libclosured.dylib (551.5) <112BC241-6626-3848-8DD8-B34B5B6F7ABC> /usr/lib/closure/libclosured.dylib
    0x7fff4f739000 - 0x7fff4f772ff7 libCRFSuite.dylib (41) <14B00FCF-4C67-3736-95B5-76FEA6E4972C> /usr/lib/libCRFSuite.dylib
    0x7fff4f773000 - 0x7fff4f77efff libChineseTokenizer.dylib (28) <2237A259-0E59-3DD0-BADC-281C361FAB70> /usr/lib/libChineseTokenizer.dylib
    0x7fff4f810000 - 0x7fff4f811ff3 libDiagnosticMessagesClient.dylib (104) <3F855622-352B-3EA8-B7C8-94D1DB48C080> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff4f848000 - 0x7fff4fa12ff3 libFosl_dynamic.dylib (17.8) <1A2A9D53-129E-3F7D-AE23-1D6E6D9EA017> /usr/lib/libFosl_dynamic.dylib
    0x7fff4fa4a000 - 0x7fff4fa4afff libOpenScriptingUtil.dylib (174) <AC38B2C3-5A37-30EB-A246-CEFABD3DD4E7> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff4fb81000 - 0x7fff4fb85ffb libScreenReader.dylib (562.18.5) <FFB20E40-7669-30F6-8577-B74E18076376> /usr/lib/libScreenReader.dylib
    0x7fff4fb86000 - 0x7fff4fb87ffb libSystem.B.dylib (1252.50.4) <5A02016C-8F9D-3F47-8C39-AD2CD4F9F11D> /usr/lib/libSystem.B.dylib
    0x7fff4fc06000 - 0x7fff4fc07fff libThaiTokenizer.dylib (2.2) <C62E7A0C-338D-31B3-8DC1-FEB8ADB23365> /usr/lib/libThaiTokenizer.dylib
    0x7fff4fc1a000 - 0x7fff4fc1afff libapple_crypto.dylib (109.50.15) <A8DEA8E9-5769-3C78-824D-969A98B94086> /usr/lib/libapple_crypto.dylib
    0x7fff4fc1b000 - 0x7fff4fc31ff7 libapple_nghttp2.dylib (1.24) <24338D88-5D73-3165-9CFB-5A92734C9040> /usr/lib/libapple_nghttp2.dylib
    0x7fff4fc32000 - 0x7fff4fc5cff3 libarchive.2.dylib (54) <D2B6AD30-18CB-3E3C-ABBF-A0745654350F> /usr/lib/libarchive.2.dylib
    0x7fff4fc5d000 - 0x7fff4fcdefdf libate.dylib (1.13.1) <77603BB8-681D-32A6-966E-4F92B9165447> /usr/lib/libate.dylib
    0x7fff4fce2000 - 0x7fff4fce2ff3 libauto.dylib (187) <92E693DF-D74D-39A0-99AB-8A9F6FFEBA18> /usr/lib/libauto.dylib
    0x7fff4fce3000 - 0x7fff4fd9cffb libboringssl.dylib (109.50.15) <FC25FE02-6AA8-3F0B-9EF3-56A455C08C0F> /usr/lib/libboringssl.dylib
    0x7fff4fd9d000 - 0x7fff4fdadff3 libbsm.0.dylib (39) <18D57879-A717-3466-9637-1704EE59A32A> /usr/lib/libbsm.0.dylib
    0x7fff4fdae000 - 0x7fff4fdbbffb libbz2.1.0.dylib (38) <0B4321CD-3D6F-3095-A12E-27F66B4321AD> /usr/lib/libbz2.1.0.dylib
    0x7fff4fdbc000 - 0x7fff4fe12fff libc++.1.dylib (400.9) <142D6292-F30F-3949-9F37-3C97A579F540> /usr/lib/libc++.1.dylib
    0x7fff4fe13000 - 0x7fff4fe37ff7 libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
    0x7fff4fe39000 - 0x7fff4fe49fff libcmph.dylib (6) <890DEC4C-4334-393C-8B56-7C8560BBED9D> /usr/lib/libcmph.dylib
    0x7fff4fe4a000 - 0x7fff4fe61fcf libcompression.dylib (47.60.2) <543F07BF-2F2F-37D5-9866-E84BF659885B> /usr/lib/libcompression.dylib
    0x7fff5010c000 - 0x7fff50124ff7 libcoretls.dylib (155.50.1) <087E9F90-21E5-376D-9956-C4E346409682> /usr/lib/libcoretls.dylib
    0x7fff50125000 - 0x7fff50126ff3 libcoretls_cfhelpers.dylib (155.50.1) <78CCDD10-7D71-365E-A0A5-8524ED5F5BF9> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff505f7000 - 0x7fff5064cff3 libcups.2.dylib (462.2.10) <590D6ACC-68A0-371E-8646-FC59F814534B> /usr/lib/libcups.2.dylib
    0x7fff5078c000 - 0x7fff5078cfff libenergytrace.dylib (16) <1F11D488-07C6-3D18-BEF2-0B28A992D761> /usr/lib/libenergytrace.dylib
    0x7fff507be000 - 0x7fff507c2ff7 libgermantok.dylib (17) <DABC5487-8699-3254-9CA2-D743A9F24413> /usr/lib/libgermantok.dylib
    0x7fff507c3000 - 0x7fff507c8ff3 libheimdal-asn1.dylib (520.50.9) <EF65C17E-31CD-31DC-876C-BF3EF393099C> /usr/lib/libheimdal-asn1.dylib
    0x7fff507f4000 - 0x7fff508e5ff7 libiconv.2.dylib (51.50.1) <7965B866-C75A-3450-9891-0500349F7090> /usr/lib/libiconv.2.dylib
    0x7fff508e6000 - 0x7fff50b0dffb libicucore.A.dylib (59181.0.1) <17767680-09DF-3954-AB6C-B13B41F92A2E> /usr/lib/libicucore.A.dylib
    0x7fff50b5a000 - 0x7fff50b5bfff liblangid.dylib (128) <C54A2059-A4BE-364B-94C2-581C548459BC> /usr/lib/liblangid.dylib
    0x7fff50b5c000 - 0x7fff50b75ffb liblzma.5.dylib (10) <60BEAB81-CE65-3479-90CC-03325AACEC95> /usr/lib/liblzma.5.dylib
    0x7fff50b76000 - 0x7fff50b8cff7 libmarisa.dylib (9) <47540053-02CF-35F8-A75E-074DB3D51812> /usr/lib/libmarisa.dylib
    0x7fff50b8d000 - 0x7fff50c3cfff libmecab.1.0.0.dylib (779.7.6) <9003A13E-FD53-3428-9927-E40575C764C6> /usr/lib/libmecab.1.0.0.dylib
    0x7fff50c3d000 - 0x7fff50e65ff7 libmecabra.dylib (779.7.6) <B2ACB6A9-91AE-364B-9418-8EB938BF82B6> /usr/lib/libmecabra.dylib
    0x7fff5103d000 - 0x7fff511b8fff libnetwork.dylib (1229.70.2) <0596A03E-C984-3FE6-B88E-63D5F96EC49A> /usr/lib/libnetwork.dylib
    0x7fff5123f000 - 0x7fff5162d7e7 libobjc.A.dylib (723) <843EFB54-EFCC-3A7C-BE11-092B6A556262> /usr/lib/libobjc.A.dylib
    0x7fff51640000 - 0x7fff51644fff libpam.2.dylib (22) <E5840D63-8506-301A-9182-5000031854E1> /usr/lib/libpam.2.dylib
    0x7fff51647000 - 0x7fff5167fff7 libpcap.A.dylib (79.20.3) <6A9D27FA-2780-3E96-8B2E-645638AC13AC> /usr/lib/libpcap.A.dylib
    0x7fff516fe000 - 0x7fff5171affb libresolv.9.dylib (65.1) <D9BB6307-71E4-3A94-A745-1FCA114C6894> /usr/lib/libresolv.9.dylib
    0x7fff51769000 - 0x7fff5176aff3 libspindump.dylib (252) <7BE3801C-F1F5-3F54-AB70-9842F8EF3F09> /usr/lib/libspindump.dylib
    0x7fff5176b000 - 0x7fff518feff7 libsqlite3.dylib (274.8.1) <FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib
    0x7fff51ad2000 - 0x7fff51b32ff3 libusrtcp.dylib (1229.70.2) <1E065228-D0E3-3808-9405-894056C6BEC0> /usr/lib/libusrtcp.dylib
    0x7fff51b33000 - 0x7fff51b36ffb libutil.dylib (51.20.1) <A50E15F1-20A2-3EA7-A8CE-A43662E18587> /usr/lib/libutil.dylib
    0x7fff51b37000 - 0x7fff51b44ff3 libxar.1.dylib (417.1) <351781D5-3CCF-320F-BB5A-4DFCC1CCD31D> /usr/lib/libxar.1.dylib
    0x7fff51b48000 - 0x7fff51c2fffb libxml2.2.dylib (31.20) <286F8531-7001-3989-9640-284443355433> /usr/lib/libxml2.2.dylib
    0x7fff51c30000 - 0x7fff51c58fff libxslt.1.dylib (15.16) <57D56366-1E7B-356C-B2B8-F4688FF666E6> /usr/lib/libxslt.1.dylib
    0x7fff51c59000 - 0x7fff51c6bffb libz.1.dylib (70) <47278BDC-596E-3037-B8DA-05FE9D5DBEF6> /usr/lib/libz.1.dylib
    0x7fff51d07000 - 0x7fff51d0bff7 libcache.dylib (80) <096D3699-58D2-3D23-9512-BC88DAE7B16C> /usr/lib/system/libcache.dylib
    0x7fff51d0c000 - 0x7fff51d16ff3 libcommonCrypto.dylib (60118.50.1) <B4E77BD4-A809-37E1-8A79-25955E0F5D9C> /usr/lib/system/libcommonCrypto.dylib
    0x7fff51d17000 - 0x7fff51d1efff libcompiler_rt.dylib (62) <4CEED002-D00B-35F8-B563-0546A5F71A43> /usr/lib/system/libcompiler_rt.dylib
    0x7fff51d1f000 - 0x7fff51d28ffb libcopyfile.dylib (146.50.5) <F7A7999F-9509-3C67-8EE9-95BEE6772676> /usr/lib/system/libcopyfile.dylib
    0x7fff51d29000 - 0x7fff51daeffb libcorecrypto.dylib (562.70.3) <9C6E5CC2-272B-3740-AEDB-9EBEC98EC7F9> /usr/lib/system/libcorecrypto.dylib
    0x7fff51e36000 - 0x7fff51e6fff7 libdispatch.dylib (913.60.3) <285526B6-A2A6-316D-A1CC-37803B71E203> /usr/lib/system/libdispatch.dylib
    0x7fff51e70000 - 0x7fff51e8dff7 libdyld.dylib (551.5) <49ABA86D-DD48-3133-9B14-B9A564EEBC66> /usr/lib/system/libdyld.dylib
    0x7fff51e8e000 - 0x7fff51e8effb libkeymgr.dylib (28) <7CC7B5E1-AB7F-3495-A26A-396461BCB66B> /usr/lib/system/libkeymgr.dylib
    0x7fff51e8f000 - 0x7fff51e9bff3 libkxld.dylib (4570.71.82.8) <44AF05D7-6BDF-3A9B-B5CF-D16C98B6844E> /usr/lib/system/libkxld.dylib
    0x7fff51e9c000 - 0x7fff51e9cff7 liblaunch.dylib (1205.70.16) <265EE555-E988-3EE5-A39E-028FB3A5FE11> /usr/lib/system/liblaunch.dylib
    0x7fff51e9d000 - 0x7fff51ea1ffb libmacho.dylib (906) <F5F16E2F-F961-3FF4-B02F-69BBDB57B8DC> /usr/lib/system/libmacho.dylib
    0x7fff51ea2000 - 0x7fff51ea4fff libquarantine.dylib (86.70.1) <262CECFE-A493-3EC6-8608-CEA93757265E> /usr/lib/system/libquarantine.dylib
    0x7fff51ea5000 - 0x7fff51ea6ff3 libremovefile.dylib (45) <EA24BFB6-24B7-3841-8AAC-FAF400910706> /usr/lib/system/libremovefile.dylib
    0x7fff51ea7000 - 0x7fff51ebefff libsystem_asl.dylib (356.70.1) <9481D82D-CFB7-3032-A07F-88F7F59CAC2C> /usr/lib/system/libsystem_asl.dylib
    0x7fff51ebf000 - 0x7fff51ebffff libsystem_blocks.dylib (67) <FA2C3663-9DBB-3AFB-80A3-E77BE0816AD0> /usr/lib/system/libsystem_blocks.dylib
    0x7fff51ec0000 - 0x7fff51f49ff7 libsystem_c.dylib (1244.50.9) <25DD83D8-80CA-3DFF-8626-FE704911F19C> /usr/lib/system/libsystem_c.dylib
    0x7fff51f4a000 - 0x7fff51f4dffb libsystem_configuration.dylib (963.50.9) <61B26E1D-FEFF-38C6-AE0E-A6DD90145EB2> /usr/lib/system/libsystem_configuration.dylib
    0x7fff51f4e000 - 0x7fff51f51ffb libsystem_coreservices.dylib (51) <E8FA663F-1B0F-3B12-8F97-31A46E6B4D68> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff51f52000 - 0x7fff51f53fff libsystem_darwin.dylib (1244.50.9) <6195EEA1-83A7-35F0-8147-5AB031020CD0> /usr/lib/system/libsystem_darwin.dylib
    0x7fff51f54000 - 0x7fff51f5affb libsystem_dnssd.dylib (878.70.4) <0D2C9583-5D28-375B-AEB4-F66F18C78322> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff51f5b000 - 0x7fff51fa4ff7 libsystem_info.dylib (517.30.1) <9C2C96F3-638B-34E7-A2BD-24C643EAF957> /usr/lib/system/libsystem_info.dylib
    0x7fff51fa5000 - 0x7fff51fcbff7 libsystem_kernel.dylib (4570.71.82.8) <C34BA704-FAFF-3DDB-9827-5930B5BEF134> /usr/lib/system/libsystem_kernel.dylib
    0x7fff51fcc000 - 0x7fff52017fcb libsystem_m.dylib (3147.50.1) <B3172533-77D2-3416-8487-4A505198E9E1> /usr/lib/system/libsystem_m.dylib
    0x7fff52018000 - 0x7fff52037ff7 libsystem_malloc.dylib (140.50.7) <821E16C8-7A7E-3269-9167-10F4F413BF93> /usr/lib/system/libsystem_malloc.dylib
    0x7fff52038000 - 0x7fff52168ff7 libsystem_network.dylib (1229.70.2) <07BFD80A-E7EB-3DEB-B765-5E1659453114> /usr/lib/system/libsystem_network.dylib
    0x7fff52169000 - 0x7fff52173ffb libsystem_networkextension.dylib (767.70.2) <A90BAFFD-AC3D-3078-90B2-71463DBFD4A5> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff52174000 - 0x7fff5217dff3 libsystem_notify.dylib (172) <738B3BB0-4F20-3446-A3B6-095D796E5903> /usr/lib/system/libsystem_notify.dylib
    0x7fff5217e000 - 0x7fff52185ff7 libsystem_platform.dylib (161.50.1) <90A2A62F-8690-3FA7-A4D0-9085BF2FA44A> /usr/lib/system/libsystem_platform.dylib
    0x7fff52186000 - 0x7fff52191fff libsystem_pthread.dylib (301.50.1) <283E64A7-A2B2-3212-95BA-4D21F9AE36CF> /usr/lib/system/libsystem_pthread.dylib
    0x7fff52192000 - 0x7fff52195fff libsystem_sandbox.dylib (765.70.2) <C29E1B7A-F39B-344E-98F7-8FB32B10AE0A> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff52196000 - 0x7fff52197ff3 libsystem_secinit.dylib (30) <4E84DF62-57B5-36F9-819F-3C1E7FEDA856> /usr/lib/system/libsystem_secinit.dylib
    0x7fff52198000 - 0x7fff5219fff7 libsystem_symptoms.dylib (820.60.3) <A45B4D84-2C69-3F19-83C2-2F1EEA73A7B5> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff521a0000 - 0x7fff521b4ff7 libsystem_trace.dylib (829.70.2) <4C4E5351-E370-3226-9B30-61E250DE3B2E> /usr/lib/system/libsystem_trace.dylib
    0x7fff521b6000 - 0x7fff521bbff7 libunwind.dylib (35.3) <BAE12DA3-CF33-32AD-86B0-CCD6705ADFAA> /usr/lib/system/libunwind.dylib
    0x7fff521bc000 - 0x7fff521e9fff libxpc.dylib (1205.70.16) <26D99819-B813-320E-9E8F-9D57AD2DA63B> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 35389
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=385.7M resident=0K(0%) swapped_out_or_unallocated=385.7M(100%)
Writable regions: Total=219.4M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=219.4M(100%)
 
                                VIRTUAL REGION
REGION TYPE SIZE COUNT (non-coalesced)
=========== ======= =======
Accelerate framework 128K 2
Activity Tracing 256K 2
CG backing stores 8344K 4
CG image 256K 8
CoreAnimation 80.9M 17
CoreData Object IDs 4100K 3
CoreImage 32K 5
CoreUI image data 2964K 19
CoreUI image file 188K 5
Foundation 20K 3
Kernel Alloc Once 8K 2
MALLOC 111.6M 48
MALLOC guard page 48K 13
Memory Tag 242 12K 2
Memory Tag 251 40K 2
SQLite page cache 64K 2
STACK GUARD 56.0M 9
Stack 11.6M 11
VM_ALLOCATE 100K 12
__DATA 28.4M 275
__FONT_DATA 4K 2
__LINKEDIT 193.8M 5
__TEXT 191.9M 279
__UNICODE 560K 2
mapped file 80.3M 35
shared memory 756K 10
=========== ======= =======
TOTAL 772.0M 751

Model: iMac17,1, BootROM 428.0.0.0.0, 4 processors, Intel Core i5, 3.2 GHz, 32 GB, SMC 2.33f12
Graphics: AMD Radeon R9 M380, AMD Radeon R9 M380, PCIe
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1867 MHz, 0x80AD, 0x484D54343147533642465238412D52442020
Memory Module: BANK 0/DIMM1, 8 GB, DDR3, 1867 MHz, 0x80AD, 0x484D54343147533642465238412D52442020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1867 MHz, 0x80AD, 0x484D54343147533642465238412D52442020
Memory Module: BANK 1/DIMM1, 8 GB, DDR3, 1867 MHz, 0x80AD, 0x484D54343147533642465238412D52442020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x14A), Broadcom BCM43xx 1.0 (7.77.37.33.1a1)
Bluetooth: Version 6.0.7f22, 3 services, 27 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD ST1000DM003, 1 TB
USB Device: USB 3.0 Bus
USB Device: FCA1616
USB Device: Bluetooth USB Host Controller
USB Device: FaceTime HD Camera (Built-in)
USB Device: W-8123 CA0TPP 09/17/03
USB Device: Hub
USB Device: My Passport 25E4
USB Device: My Passport 0820
USB Device: My Passport 25E3
Thunderbolt Bus: iMac, Apple Inc., 28.1

admin

2021-01-14 11:37

administrator   ~0000632

The log contains where the error occurs, the error seems related to MacOS 10.13

Thanks for your feedback, I'll fix the problem and release the fix ASAP

Please apologize me, I will inform you when I submit the fix to Apple

Apple approval time is very long...

admin

2021-01-14 13:15

administrator   ~0000633

Last edited: 2021-01-14 13:20

View 2 revisions

Are you interested to test the fixed version before the store publication?

I can send to your email address the patched version, you can run it without unistalling the official one, if it works you can delete the patched and wait for the MAS publication

Issue History

Date Modified Username Field Change
2021-01-13 18:02 bldobson New Issue
2021-01-13 18:02 bldobson Status new => assigned
2021-01-13 18:02 bldobson Assigned To => admin
2021-01-13 18:02 bldobson File Added: Screen Shot 2021-01-13 at 17.01.22.png
2021-01-14 06:47 admin Note Added: 0000630
2021-01-14 06:48 admin Note Edited: 0000630 View Revisions
2021-01-14 11:16 bldobson Note Added: 0000631
2021-01-14 11:37 admin Note Added: 0000632
2021-01-14 13:15 admin Note Added: 0000633
2021-01-14 13:20 admin Note Edited: 0000633 View Revisions
2021-01-14 14:10 admin OS => High Sierra
2021-01-14 14:10 admin OS Version => 10.13.6
2021-01-15 12:30 admin Status assigned => closed
2021-01-15 12:30 admin Resolution open => fixed
2021-01-15 12:30 admin Fixed in Version => 1.8.1
2021-01-15 12:30 admin Target Version => 1.8.1